Bug Hunting Session
Bug 116386 - Wrong paper size B5, instead of A4
Summary: Wrong paper size B5, instead of A4
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Print-Dialog
  Show dependency treegraph
 
Reported: 2018-03-13 20:01 UTC by Telesto
Modified: 2019-01-24 12:45 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments
Bibisect log (2.60 KB, text/plain)
2018-03-20 10:23 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-03-13 20:01:47 UTC
Description:
Wrong paper size B5, instead of A4 with a Canon Printer

Steps to Reproduce:
1. Open Impress 
2. Click Print -> Print Preview shows B5

--
Adding an 'fictional' printer
1. Control Panel -> Devices & Printers -> Add a Printer
2. Press stop (for the automatic search)
3. Printer not in the list button
4. Add a local printer manually
5. LPT1 Port
6. In my case: Canon -> Canon Inkjet  MX890 (not sure if it matters)


Actual Results:  
B5

Expected Results:
A4 


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.1.0.0.alpha0+
Build ID: 5b87abe06da35ca3a11628674af23460349b439a
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-03-12_23:45:38
Locale: nl-NL (nl_NL); Calc: CL


User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Timur 2018-03-14 08:59:59 UTC Comment hidden (obsolete)
Comment 2 Telesto 2018-03-14 10:00:34 UTC
(In reply to Timur from comment #1)
> Bug 95694?

Nope.

No repro with
Version: 6.0.0.0.alpha1+
Build ID: dae6ba564fcf20299b7a560aeb346efc84364d41
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2017-11-01_00:28:17
Locale: nl-NL (nl_NL); Calc: CL

nor with:
Version: 5.4.0.3
Build ID: 7556cbc6811c9d992f4064ab9287069087d7f62c
CPU threads: 4; OS: Windows 6.2; UI render: default; 
Locale: nl-NL (nl_NL); Calc: CL
Comment 3 Telesto 2018-03-14 14:57:05 UTC
Fix; work around: Printer dialog -> Impress tab -> Select 'Fit to printable page' instead of 'original size'. No cue why "Original size" is default ...
Comment 4 Timur 2018-03-14 17:29:43 UTC
There was a change in 6.0: Impress slide was 280x210 mm (screen 4:3) before and 280x157,5 mm after Bug 93244. 
But no "paper" in that bug not it's clear how size was determined. 
When I print preview, printers recognize 267x184 as the original size. I can't say why and what should be recognized.
Comment 5 Telesto 2018-03-14 17:45:43 UTC Comment hidden (obsolete)
Comment 6 Heiko Tietze 2018-03-20 10:14:38 UTC
Print dialog offers me US Letter for the 16:9 standard size presentation (no printer installed, so generic is used). Don't see a reason why switching the default selection from 4:3 to 16:9 should affect this.
Comment 7 Telesto 2018-03-20 10:23:00 UTC
Created attachment 140738 [details]
Bibisect log

Bisected to:
author	Vasily Melenchuk <Vasily.Melenchuk@cib.de>	2017-12-12 11:32:06 +0300
committer	Thorsten Behrens <Thorsten.Behrens@CIB.de>	2018-01-23 17:01:31 +0100
commit	57991f885e60d04e93bf5004d4fdceee7d29f3d8 (patch)
tree	b4d98d7051eccf14e569f4df243e7192db5f187f
parent	c73f88de8bc6f892ff1215c5f634ff0bfca04553 (diff)
tdf#91362: Use document paper size for printing slides.
By default for priniting slides we use not default A4, but size provided
in slide properties.

Additinally renamed IsPageSize() -> IsPaperSize(): it is less ambiguous.
Comment 8 raal 2018-03-21 05:53:26 UTC
This seems to have begun at the below commit.
Adding Cc: to Vasily Melenchuk ; Could you possibly take a look at this one?
Thanks
Comment 9 Thorsten Behrens (CIB) 2018-03-26 11:17:01 UTC
(In reply to Telesto from comment #3)
> Fix; work around: Printer dialog -> Impress tab -> Select 'Fit to printable
> page' instead of 'original size'. No cue why "Original size" is default ...

I wouldn't (yet) call this a regression - perhaps the fix is not perfect yet; anyway, Telesto - would changing the default to Fit to printable page _in this case_ be an overall good solution?

How the system works now, is that the Impress slide size and dimension are taken to determine paper size and orientation (see bug 91362) - which I think is a much better idea for something graphical like Draw or Impress. But perhaps some improvements are needed here, happy to hear suggestions!
Comment 10 Thorsten Behrens (CIB) 2018-08-06 15:43:41 UTC
Adjust status to NEEDINFO
Comment 11 Xisco Faulí 2018-08-07 15:35:25 UTC
> I wouldn't (yet) call this a regression - perhaps the fix is not perfect
> yet; anyway, Telesto - would changing the default to Fit to printable page
> _in this case_ be an overall good solution?
> 
> How the system works now, is that the Impress slide size and dimension are
> taken to determine paper size and orientation (see bug 91362) - which I
> think is a much better idea for something graphical like Draw or Impress.
> But perhaps some improvements are needed here, happy to hear suggestions!

Hi Telesto,
Could you please reply to the questions above?
Thank you in advance!!
Comment 12 Telesto 2018-08-07 18:06:25 UTC
(In reply to Xisco Faulí from comment #11)
> > I wouldn't (yet) call this a regression - perhaps the fix is not perfect
> > yet; anyway, Telesto - would changing the default to Fit to printable page
> > _in this case_ be an overall good solution?
> > 
> > How the system works now, is that the Impress slide size and dimension are
> > taken to determine paper size and orientation (see bug 91362) - which I
> > think is a much better idea for something graphical like Draw or Impress.
> > But perhaps some improvements are needed here, happy to hear suggestions!

I'm not sure what the preferred fix should be:
-> Check " Use only paper size from printer preferences (Print, options tab)
-> Fit to printable page (also rotates the page, doesn't seem ideal) 

Adding UX-advise
Comment 13 Cor Nouws 2018-08-22 17:30:51 UTC
IIRC work is planned / being done for print dialog?

There are currently more situations where the user needs to think of settings on different tabs, influencing the output size/orientation. 
Confusing, nasty.

Looks as this issue is ~the same category?
Comment 14 Telesto 2018-08-25 07:38:43 UTC
I'm noticing https://gerrit.libreoffice.org/#/c/59581/
Comment 15 Heiko Tietze 2018-08-29 18:11:13 UTC
(In reply to Telesto from comment #14)
> I'm noticing https://gerrit.libreoffice.org/#/c/59581/

So this issue has been solved?
Comment 16 Michael Weghorn 2018-08-31 20:56:42 UTC
(In reply to Heiko Tietze from comment #15)
> (In reply to Telesto from comment #14)
> > I'm noticing https://gerrit.libreoffice.org/#/c/59581/
> 
> So this issue has been solved?

As far as I understand this bug report, it's mainly about what paper size should be displayed and preselected in the print dialog. The above-mentioned change is not directly related in this case. It fixes an inconsistency that was there at least in the Linux print dialog, but does not at all change what paper size is preselected.
Comment 17 Buovjaga 2018-10-03 15:16:48 UTC
The same commit is also blamed by bug 119470 and by this one mentioned in a comment:
https://bugs.documentfoundation.org/show_bug.cgi?id=37011#c16

To repro the one in the comment:
1. Open attachment 46546 [details]
2. Insert - Header and footer - Notes and handouts: Apply to all
3. File - Print - Print Document: Handouts (dropdown)

Observe the preview. The header should appear as vertical text running on the right.
Comment 18 Xisco Faulí 2019-01-24 12:45:29 UTC
This is fixed by the work done by Daniel Silva on the new print dialog.
See -> https://cgit.freedesktop.org/libreoffice/core/log/?qt=range&q=cb443d07d54d6698eff51b5be2c6b56323f10315..bc0146c2ae43256552c276d2dd86291c98556c42

Version: 6.3.0.0.alpha0+
Build ID: 0d46fb02f3f19d11db40b6c5335d78a3894502d7
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

Closing as RESOLVED FIXED

Unfortunately, the fix can't be backported. We will need to wait until LibreOffice 6.3 is released...